"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DevelopmentError = exports.UndefinedComponent = exports.SchemaOnlySupportError = exports.FeatureDevelopmentError = exports.NotFoundReference = exports.NotFoundFileError = exports.UnknownError = exports.UnSupportError = exports.UnsetTypeError = exports.BaseError = void 0;
class BaseError extends Error {
    constructor(message) {
        super(message);
        Object.setPrototypeOf(this, new.target.prototype);
    }
}
exports.BaseError = BaseError;
class UnsetTypeError extends BaseError {
}
exports.UnsetTypeError = UnsetTypeError;
class UnSupportError extends BaseError {
}
exports.UnSupportError = UnSupportError;
class UnknownError extends BaseError {
}
exports.UnknownError = UnknownError;
class NotFoundFileError extends BaseError {
}
exports.NotFoundFileError = NotFoundFileError;
class NotFoundReference extends BaseError {
}
exports.NotFoundReference = NotFoundReference;
class FeatureDevelopmentError extends BaseError {
}
exports.FeatureDevelopmentError = FeatureDevelopmentError;
class SchemaOnlySupportError extends BaseError {
}
exports.SchemaOnlySupportError = SchemaOnlySupportError;
class UndefinedComponent extends BaseError {
}
exports.UndefinedComponent = UndefinedComponent;
class DevelopmentError extends BaseError {
}
exports.DevelopmentError = DevelopmentError;
//# sourceMappingURL=index.js.map