"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStatements = exports.generateNamespace = void 0;
const Operation = __importStar(require("./Operation"));
const Parameters = __importStar(require("./Parameters"));
const Servers = __importStar(require("./Servers"));
const generateNamespace = (entryPoint, currentPoint, store, factory, parentPath, name, pathItem, context, converterContext, options) => {
    const basePath = `${parentPath}/${name}`;
    const topComment = options && options.topComment && options.topComment;
    store.addStatement(basePath, {
        kind: "namespace",
        name,
        comment: Servers.addComment([topComment, pathItem.description], pathItem.servers),
    });
    if (pathItem.get) {
        Operation.generateNamespace(entryPoint, currentPoint, store, factory, basePath, "GET", pathItem.get, context, converterContext);
    }
    if (pathItem.put) {
        Operation.generateNamespace(entryPoint, currentPoint, store, factory, basePath, "PUT", pathItem.put, context, converterContext);
    }
    if (pathItem.post) {
        Operation.generateNamespace(entryPoint, currentPoint, store, factory, basePath, "POST", pathItem.post, context, converterContext);
    }
    if (pathItem.delete) {
        Operation.generateNamespace(entryPoint, currentPoint, store, factory, basePath, "DELETE", pathItem.delete, context, converterContext);
    }
    if (pathItem.options) {
        Operation.generateNamespace(entryPoint, currentPoint, store, factory, basePath, "OPTIONS", pathItem.options, context, converterContext);
    }
    if (pathItem.head) {
        Operation.generateNamespace(entryPoint, currentPoint, store, factory, basePath, "HEAD", pathItem.head, context, converterContext);
    }
    if (pathItem.patch) {
        Operation.generateNamespace(entryPoint, currentPoint, store, factory, basePath, "PATCH", pathItem.patch, context, converterContext);
    }
    if (pathItem.trace) {
        Operation.generateNamespace(entryPoint, currentPoint, store, factory, basePath, "TRACE", pathItem.trace, context, converterContext);
    }
    if (pathItem.parameters) {
        Parameters.generateNamespaceWithList(entryPoint, currentPoint, store, factory, pathItem.parameters, context, converterContext);
    }
};
exports.generateNamespace = generateNamespace;
const generateStatements = (entryPoint, currentPoint, store, factory, requestUri, pathItem, context, converterContext) => {
    const statements = [];
    if (pathItem.get) {
        statements.push(Operation.generateStatements(entryPoint, currentPoint, store, factory, requestUri, "GET", pathItem.get, context, converterContext));
    }
    if (pathItem.put) {
        statements.push(Operation.generateStatements(entryPoint, currentPoint, store, factory, requestUri, "PUT", pathItem.put, context, converterContext));
    }
    if (pathItem.post) {
        statements.push(Operation.generateStatements(entryPoint, currentPoint, store, factory, requestUri, "POST", pathItem.post, context, converterContext));
    }
    if (pathItem.delete) {
        statements.push(Operation.generateStatements(entryPoint, currentPoint, store, factory, requestUri, "DELETE", pathItem.delete, context, converterContext));
    }
    if (pathItem.options) {
        statements.push(Operation.generateStatements(entryPoint, currentPoint, store, factory, requestUri, "OPTIONS", pathItem.options, context, converterContext));
    }
    if (pathItem.head) {
        statements.push(Operation.generateStatements(entryPoint, currentPoint, store, factory, requestUri, "HEAD", pathItem.head, context, converterContext));
    }
    if (pathItem.patch) {
        statements.push(Operation.generateStatements(entryPoint, currentPoint, store, factory, requestUri, "PATCH", pathItem.patch, context, converterContext));
    }
    if (pathItem.trace) {
        statements.push(Operation.generateStatements(entryPoint, currentPoint, store, factory, requestUri, "TRACE", pathItem.trace, context, converterContext));
    }
    // if (pathItem.parameters) {
    //   Parameters.generateNamespaceWithList(entryPoint, currentPoint, store, factory, pathItem.parameters, context);
    // }
    return statements.flat();
};
exports.generateStatements = generateStatements;
//# sourceMappingURL=PathItem.js.map