"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.make = exports.create = void 0;
const typescript_1 = __importDefault(require("typescript"));
const create = ({ factory }) => (params) => {
    const modifiers = (() => {
        if (params.modifiers === "private") {
            return [factory.createModifier(typescript_1.default.SyntaxKind.PrivateKeyword)];
        }
        if (params.modifiers === "public") {
            return [factory.createModifier(typescript_1.default.SyntaxKind.PublicKeyword)];
        }
        return;
    })();
    const node = factory.createParameterDeclaration(undefined, modifiers, undefined, factory.createIdentifier(params.name), params.optional && factory.createToken(typescript_1.default.SyntaxKind.QuestionToken), params.type, undefined);
    return node;
};
exports.create = create;
const make = (context) => {
    return {
        create: exports.create(context),
    };
};
exports.make = make;
//# sourceMappingURL=ParameterDeclaration.js.map