const generateExpression = (factory) => {
    return {
        this: factory.createThis(),
    };
};
export const create = ({ factory }) => (params) => {
    let expression = typeof params.expression === "string" ? factory.createIdentifier(params.expression) : params.expression;
    const expressionMap = generateExpression(factory);
    if (typeof params.expression === "string" && params.expression in expressionMap) {
        expression = generateExpression(factory)[params.expression];
    }
    const node = factory.createPropertyAccessExpression(expression, factory.createIdentifier(params.name));
    return node;
};
export const make = (context) => {
    return {
        create: create(context),
    };
};
//# sourceMappingURL=PropertyAccessExpression.js.map