import type * as Types from "./types";
export declare class CodeGenerator {
    private readonly entryPoint;
    private rootSchema;
    private resolvedReferenceDocument;
    private parser;
    constructor(entryPoint: string);
    private createParser;
    /**
     * Validate the OpenAPI Schema
     */
    validateOpenApiSchema(option?: Types.Validator.Option): void;
    /**
     * Provides TypeScript typedefs generated from OpenAPI Schema.
     *
     * @param generatorTemplate Template for when you want to change the code following a type definition
     * @returns String of generated code
     */
    generateTypeDefinition(generatorTemplates?: Types.CodeGenerator.CustomGenerator<any>[]): string;
    /**
     * Generate code using a template
     *
     * @param generatorTemplate
     * @returns String of generated code
     */
    generateCode(generatorTemplates: Types.CodeGenerator.CustomGenerator<any>[]): string;
    /**
     * Provides parameters extracted from OpenApi Schema
     */
    getCodeGeneratorParamsArray(): Types.CodeGenerator.Params[];
    /**
     * Provides types for parameters for Templates.ApiClient.
     *
     * This API will be moved to Templates in the future.
     */
    getAdditionalTypeDefinitionCustomCodeGenerator(): Types.CodeGenerator.CustomGenerator<undefined>;
}
